unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  KSysImg, ComCtrls, StdCtrls, ExtCtrls,shellapi;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label2: TLabel;
    ChB: TCheckBox;
    L: TListView;
    Panel2: TPanel;
    SIL: TSysImageList;
    procedure FormShow(Sender: TObject);
    procedure ChBClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Panel2Click(Sender: TObject);            
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.FormShow(Sender: TObject);
var li:TListItem;
    i:integer;
begin
  SIL.CreateList;     //initialize TSysImageList first;
  L.smallimages:=SIL;
  L.LargeImages:=SIL;
  L.items.beginupdate;
  for i:=0 to SIL.Count-1 do
  begin
    li:=L.items.Add;
    li.caption:='';
    li.ImageIndex:=i;
  end;
  L.items.endupdate;
end;

procedure TForm1.ChBClick(Sender: TObject);
begin
  if ChB.Checked then
  begin
    SIL.BigImages:=true;
    L.ViewStyle:=vsIcon;
  end
  else
    begin
      SIL.BigImages:=false;
      L.ViewStyle:=vsList;
    end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 L.items.beginupdate;
 L.Items.clear;
 L.items.endupdate;
end;

procedure TForm1.Panel2Click(Sender: TObject);
begin
  ShellExecute(GetDesktopWindow(), 'open',
  PChar('http://www.home.sk/www/kseesoftware/index.htm'), nil, nil,
  SW_SHOWNORMAL);
end;

end.
